<?php
class ChromeBallBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Chrome Ball Incident';
	const URI = 'https://chromeballincident.blogspot.com/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request Chrome Ball Incident: ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('div.separator:nth-child(1) a img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.post-body', 0)->innertext
		);


		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
		
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '/feeds/posts/default';
		$this->collectExpandableDatas($feedUrl);
	}
}
